SDF-TO-SMI(1)

NAME
sdf-to-smi - convert SDF to SMILES

DESCRIPTION
USAGE

    sdf-to-smi [<args>] [<files>]

DESCRIPTION

    sdf-to-smi converts SDF files into SMILES.

OPTIONS

--convert-type-8-bonds-to-covalent
    convert all type 8 bonds to single covalent bonds

--no-adjust-charges
    do not adjust atom charges when converting type 8 bonds

--no-estimate-attached-hydrogens
    do not estimate the number of attached hydrogens

--ignore-flat-tetrahedra
    when considering tetrahedral chiral centers, ignore flat tetrahedra (based on volume threshold) [default]

--require-tetrahedral-angles
    when considering tetrahedral chiral centers, ignore tetrahedra with average bond angle far from 109.5 degrees

--planarity-threshold NUM
    planarity volume threshold in cubic angstroms; tetrahedra with chiral volume less or equal to the given one will be understood as flat [default: 1e-06]

--normalise-vectors
    normalise vectors used for chiral volume calculation

--mark-square-planar-centers
    mark chirality in square planar centers

--no-generate-racemates
    do not attempt to fully represent racemates in non-Sohncke space groups

--remove-excess-stereochemistry
    remove excess stereochemistry settings (experimental)

--help
    print usage message and exit